<template>
  <div>
    <Abc></Abc>

<ul v-for="(each,id) in dammi" :key="id" >
  <li>{{each.field_movie_poster[0].alt}}</li>
  <li>{{each.field_director[0].value}}</li>
</ul>

  </div>
</template>

<script>
import  axios from 'axios'
import Abc from './abc.vue'
import Vue from 'vue'

const  apiUrl="http://10.2.14.34/ministry-of-health/api/movies"

  export default {
    components:{
          Abc
    },
    data() {
      return {
        dell:'',
        bell:[
          {fname:"kiran",lname:"kk"},
          {fname:"fffff",lname:"dfffffff"},
          {fname:"ggggggg",lname:"eeeeeeeee"},
          {fname:"pppppp",lname:"ffffff"}
        ],
        dammi:''
          
        
      }
    },
  created(){
  //  *********************************** using AXIOS *********************************

    // axios({
    //   "url": apiUrl,
    //     "method": "GET",
    //     "headers": {
    //       "content-type": "application/json",
    //     },
    // }).then(res=>{
    //   console.log("res",res);
    //   this.dammi=res.data
    //   console.log(this.dammi);
    // })
    // .catch(() => console.log("Can’t access " + apiUrl + " response. Blocked by browser?"))

  //  *********************************** using FETCH *********************************

   fetch(apiUrl , {
        method: 'GET',
        headers: {
          'Content-Type': 'application/json',
        },
        body: JSON.stringify(),
      })
        .then(res => res.json())
        .then(res => {
          console.log("res",res);
          this.dammi=res
          console.log(this.dammi); 
        })
  },


    methods:{
      getmovies(){
      this.$http.get(apiUrl,function(movies){
         this.$set('movies',movies);
         console.log(movies);

         
       })
      }
       
    }
    
  }
</script>

















<style scoped>

</style>